package test.com.philisense.www.controller.http.app;

import com.alibaba.fastjson.JSON;
import org.junit.jupiter.api.AfterEach;
import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.Disabled;
import org.junit.jupiter.api.Test;


import test.base.HttpUtilsForm;

import java.util.*;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import com.philisense.www.common.config.CommonConst;

import java.io.File;
import java.io.IOException;
import java.nio.file.Files;
import java.nio.file.Paths;
import org.springframework.util.LinkedMultiValueMap;
import org.springframework.util.MultiValueMap;
import org.springframework.core.io.FileSystemResource;
import org.springframework.http.ResponseEntity;

public class TestProSystemControllerWithHttpClientForApp  {




            @BeforeEach
            public void setUpTestDataWithinTransaction() {

            // set up test data within the transaction

            }

            @AfterEach
            public void tearDownWithinTransaction() {

            // execute "tear down" logic within the transaction

            }

            @Test
            @Disabled
            public void testProSystemDeleteByPrimaryKeyForApp(){
                String id = UUID.randomUUID().toString().replaceAll("-","");
            	String url = HttpUtilsForm.WebconnectURL+CommonConst.APP_REST_SERVICE_PREFICX+"prosystem/delete?recordid="+id;
            	String charset = HttpUtilsForm.UTF8;
                try {
                    //括号里的是前台发送的url连接
                    String body = HttpUtilsForm.doGet(url, charset);
                    System.out.println(body);                                                       
                } catch (Exception e) {
                    e.printStackTrace();
                } 
            }

            @Test
            @Disabled
            public void testProSystemSelectByPrimaryKeyForApp(){
                String id = UUID.randomUUID().toString().replaceAll("-","");
            	String url = HttpUtilsForm.WebconnectURL+CommonConst.APP_REST_SERVICE_PREFICX+"prosystem/get?recordid="+id;
            	String charset = HttpUtilsForm.UTF8;
                try {
                    //括号里的是前台发送的url连接
                    String body = HttpUtilsForm.doGet(url, charset);
                    System.out.println(body);                                                       
                } catch (Exception e) {
                    e.printStackTrace();
                } 
            }

            @Test
            @Disabled
            public void testProSystemInsertForApp(){
            	
            	Map<String, Object> headerMap = new HashMap<String, Object>();
            	
            	headerMap.put("Content-Type", "application/json");
            	
            	
            	
            	String url = HttpUtilsForm.WebconnectURL+CommonConst.APP_REST_SERVICE_PREFICX+"prosystem/insert";
            	String charset = HttpUtilsForm.UTF8;
            	Map<String, Object> params = new HashMap<String, Object>();
                //设置 请求参数
                params.put("id","id");//记录id
                params.put("name","name");//系统名称
                params.put("ename","ename");//英文名称
                params.put("contextpath","contextpath");//上下文
                params.put("tableprefix","tableprefix");//表名前缀
                params.put("logo","logo");//系统标志
                params.put("icon","icon");//系统图标
                params.put("version","version");//版本
                params.put("builddate","builddate");//构建日期
                params.put("status","status");//状态
                params.put("orderid",0);//排序
                params.put("memo","memo");//备注
                try {
                    //括号里的是前台发送的url连接
                    String body = HttpUtilsForm.doPost(url, JSON.toJSONString(params), charset);
                    System.out.println(body);                                                       
                } catch (Exception e) {
                    e.printStackTrace();
                }               
                
            }

            @Test
            @Disabled
            public void testProSystemUpdateForApp(){
            	String url = HttpUtilsForm.WebconnectURL+CommonConst.APP_REST_SERVICE_PREFICX+"prosystem/update";
            	String charset = HttpUtilsForm.UTF8;
            	Map<String, Object> params = new HashMap<String, Object>();
                //设置 请求参数
                params.put("id","id");//记录id
                params.put("name","name");//系统名称
                params.put("ename","ename");//英文名称
                params.put("contextpath","contextpath");//上下文
                params.put("tableprefix","tableprefix");//表名前缀
                params.put("logo","logo");//系统标志
                params.put("icon","icon");//系统图标
                params.put("version","version");//版本
                params.put("builddate","builddate");//构建日期
                params.put("status","status");//状态
                params.put("orderid",0);//排序
                params.put("memo","memo");//备注
                try {
                    //括号里的是前台发送的url连接
                    String body = HttpUtilsForm.doPost(url, JSON.toJSONString(params), charset);
                    System.out.println(body);                                                       
                } catch (Exception e) {
                    e.printStackTrace();
                } 
            }

            @Test
            @Disabled
            public void testProSystemDeleteByMapForApp(){
	        	String url = HttpUtilsForm.WebconnectURL+CommonConst.APP_REST_SERVICE_PREFICX+"prosystem/deleteByMap";
	        	String charset = HttpUtilsForm.UTF8;
	        	Map<String, Object> params = new HashMap<String, Object>();
                //设置 请求参数
                params.put("id","id");//记录id
                params.put("name","name");//系统名称
                params.put("ename","ename");//英文名称
                params.put("contextpath","contextpath");//上下文
                params.put("tableprefix","tableprefix");//表名前缀
                params.put("logo","logo");//系统标志
                params.put("icon","icon");//系统图标
                params.put("version","version");//版本
                params.put("builddate","builddate");//构建日期
                params.put("status","status");//状态
                params.put("orderid",0);//排序
                params.put("memo","memo");//备注
	            try {
	                //括号里的是前台发送的url连接
	                String body = HttpUtilsForm.doPost(url, JSON.toJSONString(params), charset);
	                System.out.println(body);                                                       
	            } catch (Exception e) {
	                e.printStackTrace();
	            } 
                
            }

            @Test
            @Disabled
            public void testProSystemUpdateByMapForApp(){
            	String url = HttpUtilsForm.WebconnectURL+CommonConst.APP_REST_SERVICE_PREFICX+"prosystem/updateByMap";
            	String charset = HttpUtilsForm.UTF8;
            	Map<String, Object> params = new HashMap<String, Object>();
                //设置 请求参数
                params.put("id","id");//记录id
                params.put("name","name");//系统名称
                params.put("ename","ename");//英文名称
                params.put("contextpath","contextpath");//上下文
                params.put("tableprefix","tableprefix");//表名前缀
                params.put("logo","logo");//系统标志
                params.put("icon","icon");//系统图标
                params.put("version","version");//版本
                params.put("builddate","builddate");//构建日期
                params.put("status","status");//状态
                params.put("orderid",0);//排序
                params.put("memo","memo");//备注
                try {
                    //括号里的是前台发送的url连接
                    String body = HttpUtilsForm.doPost(url, JSON.toJSONString(params), charset);
                    System.out.println(body);                                                       
                } catch (Exception e) {
                    e.printStackTrace();
                } 
            }


            @Test
            @Disabled
            public void testProSystemGetOneForApp(){
            	String url = HttpUtilsForm.WebconnectURL+CommonConst.APP_REST_SERVICE_PREFICX+"prosystem/getOne";
            	String charset = HttpUtilsForm.UTF8;
            	Map<String, Object> params = new HashMap<String, Object>();
                //设置 请求参数
                params.put("id","id");//记录id
                params.put("name","name");//系统名称
                params.put("ename","ename");//英文名称
                params.put("contextpath","contextpath");//上下文
                params.put("tableprefix","tableprefix");//表名前缀
                params.put("logo","logo");//系统标志
                params.put("icon","icon");//系统图标
                params.put("version","version");//版本
                params.put("builddate","builddate");//构建日期
                params.put("status","status");//状态
                params.put("orderid",0);//排序
                params.put("memo","memo");//备注
                try {
                    //括号里的是前台发送的url连接
                    String body = HttpUtilsForm.doPost(url, JSON.toJSONString(params), charset);
                    System.out.println(body);                                                       
                } catch (Exception e) {
                    e.printStackTrace();
                } 
            }


            @Test
            @Disabled
            public void testProSystemGetAllForApp(){
            	String url = HttpUtilsForm.WebconnectURL+CommonConst.APP_REST_SERVICE_PREFICX+"prosystem/getAll";
            	String charset = HttpUtilsForm.UTF8;
            	Map<String, Object> params = new HashMap<String, Object>();
                //设置 请求参数
                params.put("id","id");//记录id
                params.put("name","name");//系统名称
                params.put("ename","ename");//英文名称
                params.put("contextpath","contextpath");//上下文
                params.put("tableprefix","tableprefix");//表名前缀
                params.put("logo","logo");//系统标志
                params.put("icon","icon");//系统图标
                params.put("version","version");//版本
                params.put("builddate","builddate");//构建日期
                params.put("status","status");//状态
                params.put("orderid",0);//排序
                params.put("memo","memo");//备注
                try {
                    //括号里的是前台发送的url连接
                    String body = HttpUtilsForm.doPost(url, JSON.toJSONString(params), charset);
                    System.out.println(body);                                                       
                } catch (Exception e) {
                    e.printStackTrace();
                } 
            }

            @Test
            @Disabled
            public void testProSystemCountForApp(){
            	String url = HttpUtilsForm.WebconnectURL+CommonConst.APP_REST_SERVICE_PREFICX+"prosystem/count";
            	String charset = HttpUtilsForm.UTF8;
            	Map<String, Object> params = new HashMap<String, Object>();
                //设置 请求参数
                params.put("id","id");//记录id
                params.put("name","name");//系统名称
                params.put("ename","ename");//英文名称
                params.put("contextpath","contextpath");//上下文
                params.put("tableprefix","tableprefix");//表名前缀
                params.put("logo","logo");//系统标志
                params.put("icon","icon");//系统图标
                params.put("version","version");//版本
                params.put("builddate","builddate");//构建日期
                params.put("status","status");//状态
                params.put("orderid",0);//排序
                params.put("memo","memo");//备注
                try {
                    //括号里的是前台发送的url连接
                    String body = HttpUtilsForm.doPost(url, JSON.toJSONString(params), charset);
                    System.out.println(body);                                                       
                } catch (Exception e) {
                    e.printStackTrace();
                } 
            }


            @Test
            @Disabled
            public void testProSystemQueryPageForApp(){
            	String url = HttpUtilsForm.WebconnectURL+CommonConst.APP_REST_SERVICE_PREFICX+"prosystem/queryPage";
            	String charset = HttpUtilsForm.UTF8;
            	Map<String, Object> params = new HashMap<String, Object>();
                //设置 请求参数
                params.put("id","id");//记录id
                params.put("name","name");//系统名称
                params.put("ename","ename");//英文名称
                params.put("contextpath","contextpath");//上下文
                params.put("tableprefix","tableprefix");//表名前缀
                params.put("logo","logo");//系统标志
                params.put("icon","icon");//系统图标
                params.put("version","version");//版本
                params.put("builddate","builddate");//构建日期
                params.put("status","status");//状态
                params.put("orderid",0);//排序
                params.put("memo","memo");//备注
                try {
                    //括号里的是前台发送的url连接
                    String body = HttpUtilsForm.doPost(url, JSON.toJSONString(params), charset);
                    System.out.println(body);                                                       
                } catch (Exception e) {
                    e.printStackTrace();
                } 
            }

            @Test
            @Disabled
            public void testProSystemInsertBatchForApp(){

                List<Map<String, Object>> list = new ArrayList<Map<String, Object>>();


                Map<String, Object> params = new HashMap<String, Object>();



                //设置 请求参数
                params.put("id","id");//记录id
                params.put("name","name");//系统名称
                params.put("ename","ename");//英文名称
                params.put("contextpath","contextpath");//上下文
                params.put("tableprefix","tableprefix");//表名前缀
                params.put("logo","logo");//系统标志
                params.put("icon","icon");//系统图标
                params.put("version","version");//版本
                params.put("builddate","builddate");//构建日期
                params.put("status","status");//状态
                params.put("orderid",0);//排序
                params.put("memo","memo");//备注



                list.add(params);


                params = new HashMap<String, Object>();


                //设置 请求参数
                params.put("id","id");//记录id
                params.put("name","name");//系统名称
                params.put("ename","ename");//英文名称
                params.put("contextpath","contextpath");//上下文
                params.put("tableprefix","tableprefix");//表名前缀
                params.put("logo","logo");//系统标志
                params.put("icon","icon");//系统图标
                params.put("version","version");//版本
                params.put("builddate","builddate");//构建日期
                params.put("status","status");//状态
                params.put("orderid",0);//排序
                params.put("memo","memo");//备注


                list.add(params);


                params = new HashMap<String, Object>();


                //设置 请求参数
                params.put("id","id");//记录id
                params.put("name","name");//系统名称
                params.put("ename","ename");//英文名称
                params.put("contextpath","contextpath");//上下文
                params.put("tableprefix","tableprefix");//表名前缀
                params.put("logo","logo");//系统标志
                params.put("icon","icon");//系统图标
                params.put("version","version");//版本
                params.put("builddate","builddate");//构建日期
                params.put("status","status");//状态
                params.put("orderid",0);//排序
                params.put("memo","memo");//备注


                list.add(params);


               	String url = HttpUtilsForm.WebconnectURL+CommonConst.APP_REST_SERVICE_PREFICX+"prosystem/insertBatch";
            	String charset = HttpUtilsForm.UTF8;
            	Map<String, Object> paramsbody = new HashMap<String, Object>();
                //设置 请求参数
            	paramsbody.put("list",list);//用户Id
                try {
                    //括号里的是前台发送的url连接
                    String body = HttpUtilsForm.doPost(url, JSON.toJSONString(params), charset);
                    System.out.println(body);                                                       
                } catch (Exception e) {
                    e.printStackTrace();
                }
            }

            @Test
            @Disabled
            public void testProSystemDeleteBatchForApp(){

                List<Map<String, Object>> list = new ArrayList<Map<String, Object>>();


                Map<String, Object> params = new HashMap<String, Object>();


                //设置 请求参数
                params.put("id","id");//记录id
                params.put("name","name");//系统名称
                params.put("ename","ename");//英文名称
                params.put("contextpath","contextpath");//上下文
                params.put("tableprefix","tableprefix");//表名前缀
                params.put("logo","logo");//系统标志
                params.put("icon","icon");//系统图标
                params.put("version","version");//版本
                params.put("builddate","builddate");//构建日期
                params.put("status","status");//状态
                params.put("orderid",0);//排序
                params.put("memo","memo");//备注


                list.add(params);


                params = new HashMap<String, Object>();


                //设置 请求参数
                params.put("id","id");//记录id
                params.put("name","name");//系统名称
                params.put("ename","ename");//英文名称
                params.put("contextpath","contextpath");//上下文
                params.put("tableprefix","tableprefix");//表名前缀
                params.put("logo","logo");//系统标志
                params.put("icon","icon");//系统图标
                params.put("version","version");//版本
                params.put("builddate","builddate");//构建日期
                params.put("status","status");//状态
                params.put("orderid",0);//排序
                params.put("memo","memo");//备注


                list.add(params);


                params = new HashMap<String, Object>();


                //设置 请求参数
                params.put("id","id");//记录id
                params.put("name","name");//系统名称
                params.put("ename","ename");//英文名称
                params.put("contextpath","contextpath");//上下文
                params.put("tableprefix","tableprefix");//表名前缀
                params.put("logo","logo");//系统标志
                params.put("icon","icon");//系统图标
                params.put("version","version");//版本
                params.put("builddate","builddate");//构建日期
                params.put("status","status");//状态
                params.put("orderid",0);//排序
                params.put("memo","memo");//备注

                list.add(params);


            	String url = HttpUtilsForm.WebconnectURL+CommonConst.APP_REST_SERVICE_PREFICX+"prosystem/deleteBatch";
            	String charset = HttpUtilsForm.UTF8;
            	Map<String, Object> paramsbody = new HashMap<String, Object>();
                //设置 请求参数
            	paramsbody.put("list",list);//用户Id
                try {
                    //括号里的是前台发送的url连接
                    String body = HttpUtilsForm.doPost(url, JSON.toJSONString(params), charset);
                    System.out.println(body);                                                       
                } catch (Exception e) {
                    e.printStackTrace();
                } 
            }

            @Test
            @Disabled
            public void testProSystemUpdateBatchForApp(){

                List<Map<String, Object>> list = new ArrayList<Map<String, Object>>();


                Map<String, Object> params = new HashMap<String, Object>();


                //设置 请求参数
                params.put("id","id");//记录id
                params.put("name","name");//系统名称
                params.put("ename","ename");//英文名称
                params.put("contextpath","contextpath");//上下文
                params.put("tableprefix","tableprefix");//表名前缀
                params.put("logo","logo");//系统标志
                params.put("icon","icon");//系统图标
                params.put("version","version");//版本
                params.put("builddate","builddate");//构建日期
                params.put("status","status");//状态
                params.put("orderid",0);//排序
                params.put("memo","memo");//备注


                list.add(params);


                params = new HashMap<String, Object>();


                //设置 请求参数
                params.put("id","id");//记录id
                params.put("name","name");//系统名称
                params.put("ename","ename");//英文名称
                params.put("contextpath","contextpath");//上下文
                params.put("tableprefix","tableprefix");//表名前缀
                params.put("logo","logo");//系统标志
                params.put("icon","icon");//系统图标
                params.put("version","version");//版本
                params.put("builddate","builddate");//构建日期
                params.put("status","status");//状态
                params.put("orderid",0);//排序
                params.put("memo","memo");//备注


                list.add(params);


                params = new HashMap<String, Object>();

                //设置 请求参数
                params.put("id","id");//记录id
                params.put("name","name");//系统名称
                params.put("ename","ename");//英文名称
                params.put("contextpath","contextpath");//上下文
                params.put("tableprefix","tableprefix");//表名前缀
                params.put("logo","logo");//系统标志
                params.put("icon","icon");//系统图标
                params.put("version","version");//版本
                params.put("builddate","builddate");//构建日期
                params.put("status","status");//状态
                params.put("orderid",0);//排序
                params.put("memo","memo");//备注


                list.add(params);


            	String url = HttpUtilsForm.WebconnectURL+CommonConst.APP_REST_SERVICE_PREFICX+"prosystem/updateBatch";
            	String charset = HttpUtilsForm.UTF8;
            	Map<String, Object> paramsbody = new HashMap<String, Object>();
                //设置 请求参数
            	paramsbody.put("list",list);//用户Id
                try {
                    //括号里的是前台发送的url连接
                    String body = HttpUtilsForm.doPost(url, JSON.toJSONString(params), charset);
                    System.out.println(body);                                                       
                } catch (Exception e) {
                    e.printStackTrace();
                } 
            }


            @Test
            @Disabled
            public void testexportForProSystemForApp() throws IOException {
                    /*
                    // 待下载的文件地址
                    String url = CommonConst.APP_REST_SERVICE_PREFICX+"prosystem/export";
                    ResponseEntity<byte[]> rsp = template.getForEntity(url, byte[].class);
                    System.out.println("文件下载请求结果状态码：" + rsp.getStatusCode());

                    String filename = "客户用户表";
                    // 将下载下来的文件内容保存到本地
                    String targetPath = "path_xxx/"+filename+"_ProSystem.xlsx";
                    Files.write(Paths.get(targetPath), Objects.requireNonNull(rsp.getBody(),
                    "未获取到下载文件"));
                    */
            }

            @Test
            @Disabled
            public void testexportTemplateForProSystemForApp() throws IOException {
                    /*
            	    // 待下载的文件地址
                    String url = CommonConst.APP_REST_SERVICE_PREFICX+"prosystem/exportTemplate";
                    ResponseEntity<byte[]> rsp = template.getForEntity(url, byte[].class);
                    System.out.println("文件下载请求结果状态码：" + rsp.getStatusCode());

                    // 将下载下来的文件内容保存到本地
                    String filename = "客户用户表";
                    // 将下载下来的文件内容保存到本地
                    String targetPath = "path_xxx/"+filename+"_ProSystem.xlsx";
                    Files.write(Paths.get(targetPath), Objects.requireNonNull(rsp.getBody(),
                    "未获取到下载文件"));
                    */
            }

            @Test
            @Disabled
            public void testimportExcelForProSystemForApp()  {
                /*
            	// 文件上传服务上传接口
                String url = CommonConst.APP_REST_SERVICE_PREFICX+"prosystem/importExcel";
                // 待上传的文件（存在客户端本地磁盘）
                String filename = "客户用户表";
                // 将下载下来的文件内容保存到本地
                String targetPath = "path_xxx/"+filename+"_ProSystem.xlsx";
                // 封装请求参数
                FileSystemResource resource = new FileSystemResource(new File(targetPath));
                MultiValueMap<String, Object> param = new LinkedMultiValueMap<>();
                param.add("file", resource);  //服务端MultipartFile uploadFile
                //param.add("param1", "test");   //服务端如果接受额外参数，可以传递


                // 发送请求并输出结果
                System.out.println("--- 开始上传文件 ---");
                String result = template.postForObject(url, param, String.class);
                System.out.println("--- 访问地址：" + result);
                */
            }

}
